Bug 335501 - Cannot get native resolution on attached LCD (particularly over DVI)
Cannot get native resolution on attached LCD (particularly over DVI)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-16 22:16 EDT by Andrew Bartlett
Modified: 2010-02-26 20:17 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-26 20:17:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Currenet Xorg config (855 bytes, text/plain)
2007-10-16 22:16 EDT, Andrew Bartlett
no flags Details
current Xorg log (46.08 KB, text/plain)
2007-10-16 22:19 EDT, Andrew Bartlett
no flags Details
Log without xorg.conf (49.36 KB, text/plain)
2007-10-16 22:26 EDT, Andrew Bartlett
no flags Details
Log without xorg.conf over VGA (96.61 KB, text/plain)
2007-10-16 22:30 EDT, Andrew Bartlett
no flags Details
Log without xorg.conf with new RPMS (63.61 KB, text/plain)
2007-10-23 05:00 EDT, Andrew Bartlett
no flags Details
Xorg.0.log over DVI with BenQ LCD on Fedora 11 Live CD (41.22 KB, text/plain)
2009-07-29 23:44 EDT, Andrew Bartlett
no flags Details
Xorg.0.log over DVI with BenQ LCD on Fedora 11 Live CD with *nomodeset* (51.03 KB, text/plain)
2009-07-30 00:01 EDT, Andrew Bartlett
no flags Details
Xorg.0.log on Lenovo D221 LDC over DVI, with modeline in xorg.conf (47.57 KB, text/plain)
2009-08-02 23:02 EDT, Andrew Bartlett
no flags Details
Xorg.0.log over DVI with Lenovo D221 LDC on Fedora 10 with modeline in xorg.conf (47.57 KB, text/plain)
2009-08-02 23:04 EDT, Andrew Bartlett
no flags Details
xorg.conf for Fedora 10, with modeline for full 1680x1050 (794 bytes, text/plain)
2009-08-02 23:07 EDT, Andrew Bartlett
no flags Details

  None (edit)
Description Andrew Bartlett 2007-10-16 22:16:44 EDT
Description of problem:
I cannot obtain the full resolution on my LCD panel with the current intel X server.

Version-Release number of selected component (if applicable):
xorg-x11-drv-i810-2.1.1-5.fc8

How reproducible:
Every time

Steps to Reproduce:
1. Attach Levovo D211 to DVI socket on PCI express outboard for onboard graphics
2. Start X (without config file, with basic config file)
3. 
  
Actual results:

Resolution output is only 1360x768

Expected results:

Resolution output is 1680x1050

Additional info:

If I instead connect on the D-SUB connector, then I can get a window, cut off in
the middle of the screen, with two verical bars each side, but the (virtual)
display extending to the right (under the righthand black bar).
Comment 1 Andrew Bartlett 2007-10-16 22:16:44 EDT
Created attachment 229391 [details]
Currenet Xorg config
Comment 2 Andrew Bartlett 2007-10-16 22:19:04 EDT
Created attachment 229401 [details]
current Xorg log
Comment 3 Andrew Bartlett 2007-10-16 22:26:36 EDT
Created attachment 229411 [details]
Log without xorg.conf
Comment 4 Andrew Bartlett 2007-10-16 22:30:50 EDT
Created attachment 229421 [details]
Log without xorg.conf over VGA

I seem to have managed to get the correct resolution by removing the xorg.conf
and using the VGA connector.  It would still be nice to get DVI working at some
point.
Comment 5 Andrew Bartlett 2007-10-17 08:06:31 EDT
However...  On returning to my workstation (the screen had been off, and would
have been DPMS off) the screen has become truncated on each side - with bars -
again. 
Comment 6 Adam Jackson 2007-10-22 11:44:48 EDT
So, two bugs here I think.  First is that it fails to do DDC to the DVI
connector; who knows what that's about.  The second is that it's just ignoring
your Monitor section because dumbness:

(II) intel(0): Output VGA using monitor section Monitor0
...
(II) intel(0): Output VGA disconnected

It's binding the old setup to the VGA connector, but then not noticing that the
connector isn't connected to anything. Possibly a bad move, I'll see if I can't
fix that.
Comment 7 Adam Jackson 2007-10-22 14:53:39 EDT
Try connecting DVI with this scratch build:

http://koji.fedoraproject.org/scratch/ajax/task_206044/

This will use the global monitor section for TMDS (DVI) outputs that we know
exist but can't get EDID for.
Comment 8 Andrew Bartlett 2007-10-23 05:00:16 EDT
Created attachment 234871 [details]
Log without xorg.conf with new RPMS

Using the new RPMs doesn't seem to have changed anything on DVI.
Comment 9 Bug Zapper 2008-04-04 10:08:20 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 10 Andrew Bartlett 2008-05-06 19:02:23 EDT
DVI still isn't any better, but I seem to be able to get native resolution with
current (pre 9) rawhide over DSUB.  The odd trimming of the display is gone
replaced with (oddly) a black bar at right of the display (as if the panel is
actually another 20 pixels wider?)
Comment 11 Bug Zapper 2008-11-26 02:59:58 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2009-01-09 02:19:25 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 13 Andrew Bartlett 2009-01-09 03:00:19 EST
This still happens with 9, I'll test 10 when I get a chance to upgrade
Comment 14 Andrew Bartlett 2009-04-01 05:37:19 EDT
This is still the same with 10, and with Fedora 11 Beta installer the DVI is still less than the normal resolution and the VGA is *out of range*.  (Sorry, no logs available until I reproduce with the live CD).
Comment 15 Bug Zapper 2009-06-09 05:19:46 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Andrew Bartlett 2009-07-29 23:44:40 EDT
Created attachment 355636 [details]
Xorg.0.log over DVI with BenQ LCD on Fedora 11 Live CD

Booting the Fedora 11 x86_64 live CD, with default options

This is the Xorg.0.log (without an xorg.conf, as it is a live CD).

This is also with a new monitor (BenQ FP91G+), attached over DVI only (VGA port unplugged)

The displayed resolution should be 1280x1024, not the the 800x600 it chose.

This means it isn't the fault of the screen, but the way Fedora probes the video modes on the outboard DVI connector.
Comment 17 Andrew Bartlett 2009-07-30 00:01:01 EDT
Created attachment 355637 [details]
Xorg.0.log over DVI with BenQ LCD on Fedora 11 Live CD with *nomodeset*

This time, I booted the live CD with nomodeset

The Resolution chosen (1024x768) was still less than the resolution of the display, but is the same resolution that Fedora 10 allows on this DVI connection.

This is the same monitor (BenQ FP91G+) as in the previous test.
Comment 18 Andrew Bartlett 2009-07-30 00:36:49 EDT
BTW, I'm more than happy to try Live CDs of Fedora 12 Rawhide, but I can't find any at the moment.
Comment 19 Andrew Bartlett 2009-08-02 23:02:43 EDT
Created attachment 355950 [details]
Xorg.0.log on Lenovo D221 LDC over DVI, with modeline in xorg.conf

Using the soon-to-be-attached xorg.conf (with a modeline set), I've been able to get Fedora 10 to display over the DVI connection at the full resolution.

I'm not sure why I have to force it, but clearly this is what the autodetection should find...
Comment 20 Andrew Bartlett 2009-08-02 23:04:40 EDT
Created attachment 355951 [details]
Xorg.0.log over DVI with Lenovo D221 LDC on Fedora 10 with modeline in xorg.conf

Using the soon-to-be-attached xorg.conf (with a modeline set), I've been able to get Fedora 10 to display over the DVI connection at the full resolution.

I'm not sure why I have to force it, but clearly this is what the autodetection should find...
Comment 21 Andrew Bartlett 2009-08-02 23:07:20 EDT
Created attachment 355952 [details]
xorg.conf for Fedora 10, with modeline for full 1680x1050

This configuration makes the Lenovo D221 display the full resolution of 1680x1050 over the DVI connector.  The modeline I got from attachment 229421 [details] (other attempted modelines caused display corruption)
Comment 22 Matěj Cepl 2009-11-05 13:18:45 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 23 Matěj Cepl 2010-02-26 07:24:39 EST
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]
Comment 24 Andrew Bartlett 2010-02-26 17:08:40 EST
I'll download a current Fedora desktop nightly compose from the URL above, and give it a try.  It still failed on Fedora 12.

Sorry about the lack of good attention I've given this issue, as it is serious for me, except for the fact that I managed to come up with modelines.  But given the 'going away' status of userspace mode setting, I better check it's fixed...
Comment 25 Andrew Bartlett 2010-02-26 20:17:54 EST
A current Live USB desktop-x86_64-20100225.17.iso booted showing the full resolution over DVI.  I look forward to upgrading to it.

Note You need to log in before you can comment on or make changes to this bug.